STRUCT TOP(3)

NAME
boost::xpressive::op::top

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
struct top {
  // member classes/structs/unions
  template<typename Sig>
  struct result {
  };
  template<typename This, typename Sequence>
  struct result<This(Sequence)> {
    // types
    typedef mpl::if_c< is_const< sequence_type >::value, typename sequence_type::value_type const &, typename sequence_type::value_type & >::type type;
    // public member functions
    typedef UNREF(Sequence);
  };
  result< top(Sequence &)>::type operator();
};

DESCRIPTION